probe::netfilter.arp.in
Prev | Chapter 13. Networking Tapset | Next

## Name

probe::netfilter.arp.in — - Called for each incoming ARP packet

## Synopsis

    netfilter.arp.in

## Values

`outdev`

  Address of net_device representing output device, 0 if unknown

`nf_queue`

  Constant used to signify a 'queue' verdict

`ar_pro`

  Format of protocol address

`indev`

  Address of net_device representing input device, 0 if unknown

`data_hex`

  A hexadecimal string representing the packet buffer contents

`ar_sha`

  Ethernet+IP only (ar_pro==0x800): source hardware (MAC) address

`arphdr`

  Address of ARP header

`nf_drop`

  Constant used to signify a 'drop' verdict

`ar_data`

  Address of ARP packet data region (after the header)

`ar_sip`

  Ethernet+IP only (ar_pro==0x800): source IP address

`ar_op`

  ARP opcode (command)

`data_str`

  A string representing the packet buffer contents

`indev_name`

  Name of network device packet was received on (if known)

`nf_stolen`

  Constant used to signify a 'stolen' verdict

`ar_hrd`

  Format of hardware address

`ar_tha`

  Ethernet+IP only (ar_pro==0x800): target hardware (MAC) address

`nf_stop`

  Constant used to signify a 'stop' verdict

`ar_hln`

  Length of hardware address

`outdev_name`

  Name of network device packet will be routed to (if known)

`pf`

  Protocol family -- always “arp”

`nf_accept`

  Constant used to signify an 'accept' verdict

`ar_tip`

  Ethernet+IP only (ar_pro==0x800): target IP address

`length`

  The length of the packet buffer contents, in bytes

`ar_pln`

  Length of protocol address

`nf_repeat`

  Constant used to signify a 'repeat' verdict

Prev | Up | Next
probe::netfilter.arp.forward | Home | probe::netfilter.arp.out